handle_level_irq
Prev | Chapter 9. Internal Functions Provided | Next

## Name

handle_level_irq — Level type irq handler

## Synopsis

`void handle_level_irq (` | unsigned int | irq,
| struct irq_desc * | desc`)`;

## Arguments

`irq`

  the interrupt number

`desc`

  the interrupt description structure for this irq

## Description

Level type interrupts are active as long as the hardware line has the active level. This may require to mask the interrupt and unmask it after the associated handler has acknowledged the device, so the interrupt line is back to inactive.

Prev | Up | Next
handle_simple_irq | Home | handle_fasteoi_irq